STOFFParserState Class Reference documentation

Public Types | Public Member Functions | Public Attributes | Private Member Functions | List of all members
STOFFParserState Class Reference

a class to define the parser state More...

`#include <STOFFParser.hxx>`

## Public Types
enum | Type { Graphic, Presentation, Spreadsheet, Text }
| the parser state type More...

## Public Member Functions
| STOFFParserState (Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| Constructor. More...
| ~STOFFParserState ()
| destructor More...

## Public Attributes
Type | m_type
| the state type More...
STOFFDocument::Kind | m_kind
| the document kind More...
int | m_version
| the actual version More...
STOFFInputStreamPtr | m_input
| the input More...
STOFFHeader * | m_header
| the header More...
STOFFPageSpan | m_pageSpan
| the actual document size More...
STOFFListManagerPtr | m_listManager
| the list manager More...
STOFFGraphicListenerPtr | m_graphicListener
| the graphic listener More...
STOFFSpreadsheetListenerPtr | m_spreadsheetListener
| the spreadsheet listener More...
STOFFTextListenerPtr | m_textListener
| the text listener More...
libstoff::DebugFile | m_asciiFile
| the debug file More...

## Private Member Functions
| STOFFParserState (STOFFParserState const &orig)
STOFFParserState & | operator= (STOFFParserState const &orig)

## Detailed Description

a class to define the parser state

## Member Enumeration Documentation

## ◆ Type

enum STOFFParserState::Type

the parser state type

Enumerator
Graphic |
Presentation |
Spreadsheet |
Text |

## Constructor & Destructor Documentation

## ◆ STOFFParserState() [1/2]

STOFFParserState::STOFFParserState | ( | STOFFParserState::Type | type,
|  | STOFFInputStreamPtr | input,
|  | STOFFHeader * | header
| ) |  |

Constructor.

## ◆ ~STOFFParserState()

STOFFParserState::~STOFFParserState | ( |  | ) |

destructor

## ◆ STOFFParserState() [2/2]

STOFFParserState::STOFFParserState | ( | STOFFParserState const & | orig | ) |
| private

## Member Function Documentation

## ◆ operator=()

STOFFParserState& STOFFParserState::operator= | ( | STOFFParserState const & | orig | ) |
| private

Referenced by STOFFParser::asciiName().

## Member Data Documentation

## ◆ m_asciiFile

libstoff::DebugFile STOFFParserState::m_asciiFile

the debug file

## ◆ m_graphicListener

STOFFGraphicListenerPtr STOFFParserState::m_graphicListener

the graphic listener

## ◆ m_header

STOFFHeader* STOFFParserState::m_header

the header

## ◆ m_input

STOFFInputStreamPtr STOFFParserState::m_input

the input

## ◆ m_kind

STOFFDocument::Kind STOFFParserState::m_kind

the document kind

Referenced by STOFFParserState().

## ◆ m_listManager

STOFFListManagerPtr STOFFParserState::m_listManager

the list manager

Referenced by STOFFParserState().

## ◆ m_pageSpan

STOFFPageSpan STOFFParserState::m_pageSpan

the actual document size

## ◆ m_spreadsheetListener

STOFFSpreadsheetListenerPtr STOFFParserState::m_spreadsheetListener

the spreadsheet listener

## ◆ m_textListener

STOFFTextListenerPtr STOFFParserState::m_textListener

the text listener

## ◆ m_type

Type STOFFParserState::m_type

the state type

## ◆ m_version

int STOFFParserState::m_version

the actual version

Referenced by STOFFParserState().

The documentation for this class was generated from the following files:

- STOFFParser.hxx
- STOFFParser.cxx